Beefy Boxes and Bandwidth Generously Provided by pair Networks
Problems? Is your data what you think it is?
 
PerlMonks  

Re: How to require IPv6 support

by VinsWorldcom (Parson)
on Aug 02, 2012 at 11:27 UTC ( #985008=note: print w/replies, xml ) Need Help??


in reply to How to require IPv6 support

You'll see fails for Win32 with Perl certainly less than 5.14. I know for a fact the Strawberry < 5.14 versions of Socket do not support IPv6 as I've tried with them on Windows 7 which certainly does support IPv6 and will compile IPv6 C code.

The work around I've used is:

use if $] < 5.014, "Socket" => qw(inet_ntoa unpack_sockaddr_in IPPROT +O_TCP AF_INET AF_UNSPEC); use if $] < 5.014, "Socket6"; use if $] < 5.014, "Socket::GetAddrInfo" => qw(getaddrinfo getnameinf +o); use if $] >= 5.014, "Socket" => qw(:addrinfo inet_ntoa inet_ntop unpac +k_sockaddr_in unpack_sockaddr_in6 IPPROTO_TCP AF_INET AF_UNSPEC);
UPDATE: See UPDATE section in Re^2: ipv6 support on windows.

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://985008]
help
Chatterbox?
[Tux]: Discipulus I don't have MCE due to some block inside its dependency chain
[Tux]: indeed: I do have MCE, but not MCE::Hobo as it requires LEHMANNware
[Tux]: MCE::Hobo requires MCE::Shared which requires IO::FDPass which is blocked

How do I use this? | Other CB clients
Other Users?
Others surveying the Monastery: (7)
As of 2017-09-20 07:06 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?
    During the recent solar eclipse, I:









    Results (234 votes). Check out past polls.

    Notices?